# React Native USIT UI

![npm version](https://badge.fury.io/js/react-native-usit-ui.svg)

**React Native components created by USIT (University Center for Information
Technology) - University in Oslo**

# Getting Started

```bash
$ yarn add react-native-usit-ui
```

## Installing Vector Icons

These components depends on `react-native-vector-icons`, so make sure to run:

```bash
$ yarn add react-native-vector-icons
$ react-native link react-native-vector-icons
```

or follow the
[official instructions](https://github.com/oblador/react-native-vector-icons#installation).

## Installing react-native-svg

```bash
$ yarn add react-native-svg
$ react-native link react-native-svg
```

or follow the
[official instructions](https://github.com/react-native-community/react-native-svg)

Please notice that the correct `react-native-svg` version has to correspond to the
`react-native` and `react` version used in your project.

# Components

Here is a list of all components included in this library:

* [Button](./docs/Button.md)
* [SingleOptionList](./docs/SingleOptionList.md)
* [MultipleOptionList](./docs/MultipleOptionList.md)
* [MenuButton](./docs/MenuButton.md)
* [UiOFooter](./docs/UiOFooter.md)
* [Divider](./docs/Divider.md)
* [Stepper](./docs/Stepper.md)
* [Slider](./docs/Slider.md)
* [Accordion](./docs/Accordion.md)
* [FloatingButton](./docs/FloatingButton.md)
* [AchievementModal](./docs/AchievementModal.md)
* [CircularTimeSlider](./docs/CircularTimeSlider.md)
* [GradientBackground](./docs/GradientBackground.md)
* [ProgressCircle](./docs/ProgressCircle.md)
* [ProgressBar](./docs/ProgressBar.md)
* [CircularSlider](./docs/CircularSlider.md)
* [AndroidTimePicker](./docs/AndroidTimePicker.md)
